/* ------------------------------------------------------------------------- */
/* arch/ppc/mpc8xx/console.h                                                 */
/*                                                                           */
/* console on a serial port                                                  */
/*                                                                           */
/* Copyright (C) 2001 Magnus Damm <damm@opensource.se>                       */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __CONSOLE_H__
#define __CONSOLE_H__

#include "types.h"
#include "cpu.h"

#include "vsprintf.h"

#define console_init(bps)       serial_init(bps);
#define console_shutdown()      serial_shutdown();

#define putc(c)                 serial_putc(c)
#define getc()                  serial_getc()
#define tstc()                  serial_tstc()

void serial_init(u32 bps);
void serial_putc(const char c);
char serial_getc(void);
int serial_tstc(void);
void serial_shutdown(void);

#endif /* __CONSOLE_H__ */

