/* ------------------------------------------------------------------------- */
/* arch/ppc/mpc8xx/mpc8xx.h                                                  */
/*                                                                           */
/* mpc8xx specific code                                                      */
/*                                                                           */
/* Copyright (C) 2001 Magnus Damm <damm@opensource.se>                       */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __MPC8XX_H__
#define __MPC8XX_H__

#include "types.h"
#include "start.h"

void mpc8xx_image_start(unsigned int startaddr);
void mpc8xx_udelay(unsigned int no_us);
void mpc8xx_set_pll(int factor);
void mpc8xx_watchdog_kick(void);

extern __inline__ void *mpc8xx_get_imap(void)
{
        unsigned int ret;

        asm volatile("mfspr %0,638" : "=r" (ret) :);
        ret &= 0xffff0000;

        return (void *) ret;
}

#endif /* __MPC8XX_H__ */










