/* ------------------------------------------------------------------------- */
/* board/switchcore_oden/board.c                                             */
/*                                                                           */
/* Board specific code for the "oden" reference board designed by Switchcore.*/
/*                                                                           */
/* Copyright (C) 2000, 2001 Magnus Damm <damm@opensource.se>                 */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#include "types.h"
#include "board.h"
#include "cpu.h"
#include "console.h"

#include "8xx_immap.h"

void board_flash_program_init(void);

/* ------------------------------------------------------------------------- */
/* board_init()                                                              */
/* this code is called early, before console is present.                     */

void board_init(char **str)
{
  /* kick the dog! */

  mpc8xx_watchdog_kick();

  /* Init PLL */

  mpc8xx_set_pll(CPU_XFACT);

  *str = ", SW00009R2";

  /* copy the flash burning code to dpram */

  board_flash_program_init();

  /* kick again */

  mpc8xx_watchdog_kick();
}

void board_cleanup(void)
{

}

/* ------------------------------------------------------------------------- */
/* serial port                                                               */

void board_consoleinfo_get(unsigned int *port, 
				   unsigned int *bps,
				   unsigned int *cpu_hz)
{
  *port = 0;
  *bps = 9600;
  *cpu_hz = CPU_HZ;
}

/* ------------------------------------------------------------------------- */

