/* ------------------------------------------------------------------------- */
/* lib/flash.h                                                               */
/*                                                                           */
/* generic flash code for Miniboot.                                          */
/*                                                                           */
/* Copyright (C) 2000, 2001, 2002 Magnus Damm <damm@opensource.se>           */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __LIB_FLASH_H__
#define __LIB_FLASH_H__

#define FLASH_OK                     0
#define FLASH_ERROR                  1
#define FLASH_BAD_ADDRESS            2
#define FLASH_BAD_DEVICE_ID          3
#define FLASH_BAD_MANUFACTURER_ID    4
#define FLASH_ERASE_ERROR            5
#define FLASH_PROGRAM_ERROR          6
#define FLASH_SECTOR_PROTECTED_ERROR 7

int flash_verbose(int ret);
int flash_erase_sector(unsigned int sector);

#endif /* __LIB_FLASH_H__ */
