/* ------------------------------------------------------------------------- */
/* lib/generic_board.h                                                       */
/*                                                                           */
/* Generic board stuff.                                                      */
/*                                                                           */
/* Copyright (C) 2000, 2001, 2002 Magnus Damm <damm@opensource.se>           */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __GEN_BOARD_H__
#define __GEN_BOARD_H__

void board_init(char **str);
void board_cleanup(void);
void board_consoleinfo_get(unsigned int *port, 
				   unsigned int *bps,
				   unsigned int *cpu_hz);
void board_image_start(unsigned int startaddr);

void board_flash_getinfo(unsigned int *start,
			 unsigned int *stop,
			 unsigned int *number_of_sectors);
void board_flash_getsectorinfo(unsigned int sector, unsigned char **base, unsigned int *size);
int board_flash_erase_sector(int s);

#if defined(FLASH_IS_32BIT)

int board_flash_program(u32 *address, u32 data);
int board_flash_read(u32 *address, u32 *data);

#elif defined(FLASH_IS_16BIT)

int board_flash_program(u16 *address, u16 data);
int board_flash_read(u16 *address, u16 *data);

#else
#error ### No flash size specified ###
#endif

/* Where entry in image is located */
#ifndef ENTRY_OFFSET
#define ENTRY_OFFSET 0
#endif

#ifndef BOOT_DELAY
#define BOOT_DELAY 1000 /* in msec */
#endif

#endif /* __GEN_BOARD_H__ */









