/* ------------------------------------------------------------------------- */
/* lib/image.h                                                               */
/*                                                                           */
/* code handling the images in flash.                                        */
/*                                                                           */
/* Copyright (C) 2000, 2001 Magnus Damm <damm@opensource.se>                 */
/* Copyright (C) 1999 - 2000 Ericsson Radio Systems AB                       */
/*                                                                           */
/* This program is free software; you can redistribute it and/or             */
/* modify it under the terms of the GNU General Public License as            */
/* published by the Free Software Foundation; either version 2 of            */
/* the License, or (at your option) any later version.                       */
/*                                                                           */
/* This program is distributed in the hope that it will be useful,           */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of            */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             */
/* GNU General Public License for more details.                              */
/*                                                                           */
/* You should have received a copy of the GNU General Public License         */
/* along with this program; if not, write to the Free Software               */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston,                     */
/* MA 02111-1307 USA                                                         */
/* ------------------------------------------------------------------------- */

#ifndef __IMAGE_H__
#define __IMAGE_H__

/* all values stored in big endian format */

typedef struct {
  u32 cookie;
  u32 header_size;
  u32 crc16_checksum;
  u32 data_size;
  u8  name[32];
  u8  description[64];
} image_header_t;

#define IMAGE_COOKIE (('M' << 24) | ('I' << 16) | ('B' << 8) | 'O')

int image_find(void **image);
void image_display_info(void *image);
void image_get_startaddress(void *image, u32 *startaddress);
void image_get_name(void *image, u8 *buf, int bufsize);

#endif /* __IMAGE__H__ */








